mapcache (1.16.0-1build1) stonking; urgency=medium

  * No-change rebuild for libgdal39.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 27 Jun 2026 13:35:08 +0000

mapcache (1.16.0-1) unstable; urgency=medium

  * New upstream release.
    (closes: #1134122)
  * Mark libmapcache1t64 as Multi-Arch: same.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Drop rules for armel.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.4, changes: priority.
  * Drop obsolete Breaks/Replaces.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Apr 2026 17:26:53 +0200

mapcache (1.14.1-3) unstable; urgency=medium

  * Re-enable FCGI support.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Apr 2025 16:51:39 +0200

mapcache (1.14.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes.
  * Disable FCGI support. Has problematic license, see: #466117.
    (closes: #1101883)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Apr 2025 21:21:23 +0200

mapcache (1.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Drop pcre2.patch, applied upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Aug 2024 16:00:38 +0200

mapcache (1.14.0-4) unstable; urgency=medium

  * Add dpkg-dev (>= 1.22.5) to build dependencies for t64 changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 13:01:04 +0100

mapcache (1.14.0-3) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.
    (closes: #1062830)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 15:45:22 +0100

mapcache (1.14.0-3~exp2) experimental; urgency=medium

  * Add Break/Replaces for renamed -dev package.
    (closes: #1063322)
  * Switch pkg-config build dependency to pkgconf.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Feb 2024 09:19:37 +0100

mapcache (1.14.0-3~exp1) experimental; urgency=medium

  * Add patch to support pcre2.
  * Enable pcre2 support.
  * Use execute_{before,after} instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Drop SOVERSION from -dev package.
  * Drop obsolete rules to move library to multiarch path.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 13:28:58 +0100

mapcache (1.14.0-2.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Sat, 03 Feb 2024 18:41:19 +0000

mapcache (1.14.0-2) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Disable PCRE support, pcre3 package will be removed.
    (closes: #1000128)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Jun 2023 06:34:42 +0200

mapcache (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add Rules-Requires-Root to control file.
  * Update copyright file.
  * Update docs for renamed README.
  * Enable LMDB support.
  * Sort CMake options.
  * Drop obsolete Breaks/Replaces.
  * Refresh patches.
  * Update symbols for amd64.
  * Build depend on libfreetype-dev instead of libfreetype6-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2023 08:42:55 +0100

mapcache (1.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 Mar 2022 16:30:40 +0100

mapcache (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Feb 2022 05:50:31 +0100

mapcache (1.12.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update upstream metadata.
  * Update watch file for GitHub URL changes.
  * Apply patch by Chris Lamb to make the build reproducible.
    (closes: #992039)
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update lintian overrides.
  * Drop --autodest from dh_install.
  * Enable redis support.
  * Update copyright file.
  * Refresh patches.
  * Update symbols for 1.12.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Feb 2022 08:39:59 +0100

mapcache (1.10.0-2) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Nov 2020 19:14:06 +0100

mapcache (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Drop unused override for file-references-package-build-path.
  * Update symbols for 1.10.0.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Feb 2020 16:02:26 +0100

mapcache (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Change license shortname from MIT to Expat
    - Update copyright years for Regents of the University of Minnesota
    - Add license & copyright for cJSON sources
  * Drop spelling-errors.patch, applied upstream. Refresh remaining patch.
  * Add manpage for mapcache_detail.
  * Update docs for README rename.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jul 2019 05:59:55 +0200

mapcache (1.6.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Add Build-Depends-Package field to symbols file.
  * Remove package name from lintian overrides.
  * Append -DNDEBUG to CFLAGS to remove buildpath from binaries.
  * Add lintian override for file-references-package-build-path.
  * Add patch to fix spelling errors.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 17:28:12 +0200

mapcache (1.6.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:08:36 +0200

mapcache (1.6.1-2) unstable; urgency=medium

  * Drop libproj-dev build dependency, not directly required and already
    pulled in via libgdal-dev.
  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from rules file.
  * Use filter instead of findstring to prevent partial matches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 18:45:30 +0200

mapcache (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add autopkgtest to test installability.
  * Bump Standards-Version to 4.1.1, no changes.
  * Drop spelling-errors.patch, applied upstream.
  * Change section for libapache2-mod-mapcache to httpd.
  * Update symbols for 1.6.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 09:25:05 +0200

mapcache (1.6.0-2) unstable; urgency=medium

  * Update symbols for other architecture.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 13:25:52 +0200

mapcache (1.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix 'contours' typo in manpage.
  * Drop typo patches, applied upstream.
  * Update copyright file, changes:
    - Update copyright years for Regents of the University of Minnesota
    - Add Frank Warmerdam to copyright holders
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Apr 2017 18:54:23 +0200

mapcache (1.4.1-3) unstable; urgency=medium

  * Update symbols for hurd-i386.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop libmapcache2 post{inst,rm}, rely on dpkg-triggers for ldconfig.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 11:40:45 +0200

mapcache (1.4.1-2) unstable; urgency=medium

  * Disable memcache support on hurd-i386 too.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Feb 2016 09:46:50 +0100

mapcache (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Add patches for various typos.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update symbols for 1.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Feb 2016 21:04:46 +0100

mapcache (1.4.0-4) unstable; urgency=medium

  * Update watch file to use lowercase RC in uversionmangle.
  * Rebuild for geos transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Aug 2015 14:15:23 +0200

mapcache (1.4.0-3) unstable; urgency=medium

  * Disable memcache support on architectures where it's not supported.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 19:22:22 +0200

mapcache (1.4.0-2) unstable; urgency=medium

  * Enable memcache support. Thanks to Frederic Junod for the patch.
    (closes: 794784)
  * Update Vcs-Browser URL to use HTTPS.
  * Update Upstream-Contact in copyright file to include email address.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 16:45:28 +0200

mapcache (1.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 00:32:07 +0200

mapcache (1.4.0-1~exp1) experimental; urgency=medium

  * Update watch file to support new upstream tag format too.
  * New upstream release.
  * Update copyright file, add license & copyright for hmac-sha.c.
  * Refresh patches.
  * Disable experimental mapserver support, FTBFS.
  * Update symbols for amd64.
  * Move docs to libapache2-mod-mapcache.
  * Update mapcache_seed man page with new options.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Jul 2015 21:40:01 +0200

mapcache (1.2.1-4) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2015 13:41:00 +0200

mapcache (1.2.1-4~exp1) experimental; urgency=medium

  * Add libcurl-ssl-dev as alternative for libcurl-gnutls-dev build dependency.
  * Use multi-line uscan options without quotes.
  * Update mapserver build dependencies for MapServer 7.0.0.
  * Reorder build dependencies, add libharfbuzz-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jul 2015 13:45:27 +0200

mapcache (1.2.1-3) unstable; urgency=medium

  * Add upstream metadata.
  * Update Source URL for GitHub in copyright file.
  * Update Homepage URL, strip en/ from path.
  * Set the date embedded in man pages to the build date for
    reproducible builds.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update my email to @debian.org address.
  * Bump Standards-Version to 3.9.6, no changes.
  * Update copyright file, changes:
    - Convert copyright file from iso-8859-1 to utf8
    - Update copyright years
    - Drop unused files paragraph for ltmain.sh
  * Drop lintian override for no-upstream-changelog,
    shouldn't override pedantic tags.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 12:11:00 +0200

mapcache (1.2.1-2) unstable; urgency=low

  * Add gpb.conf to use pristine-tar by default.
  * Use dh commands instead of CMake directly.
  * Enable parallel builds.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.
  * Don't create /var/cache/mapcache in postinst,
    use libapache2-mod-mapcache.dirs instead.
    (closes: #740327)
  * Also remove generated man pages on clean.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 28 Feb 2014 17:55:13 +0100

mapcache (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes required.
  * Drop soname.patch, applied upstream.
  * Add lintian override for debian-watch-may-check-gpg-signature,
    upstream doesn't provide signatures for verification.
  * Add lintian override for no-upstream-changelog, no changes in source.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 03 Jan 2014 17:30:18 +0100

mapcache (1.2.0-2) unstable; urgency=low

  [ Bas Couwenberg ]
  * Change priority to optional.

  [ Francesco Paolo Lovergine ]
  * Changed to libgdal-dev b-d.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 12 Dec 2013 17:08:16 +0100

mapcache (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0. (closes: #712377)
  * Update watch file for github releases.
  * Build system changed from autotools to cmake.
  * Drop patches:
    - includepath.patch (no longer required)
    - fixwithmapserv.patch (libtool no longer used)
    - libmapcache_hardening.patch (libtool no longer used)
    - demo_service_js_typos.patch (applied upstream)
    - demo_service_valid_js_var.patch (applied upstream)
    - demo_service_html5_doctype.patch (applied upstream)
    - demo_service_html_charset.patch (applied upstream)
    - demo_service_list_newlines.patch (applied upstream)
    - demo_service_page_height.patch (applied upstream)
    - demo_service_indenting.patch (applied upstream)
    - mapcache_seed_non_zero_exit.patch (applied upstream)
    - mapcache_seed_delete_mode.patch (applied upstream)
    - mapcache_seed_typo.patch (applied upstream)
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle symbols.
  * Add patch to use a versioned SONAME.
  * SONAME of libmapcache changed from libmapcache.so.0 to
    libmapcache.so.1.
  * Update libmapcache symbols for 1.2.0 on amd64.
  * Enable verbose make output.
  * Call ldconfig in libmapcache postinst and postrm.
  * Update libmapserver dependency for MapServer 6.4.0.
  * Add patch to include mapserver cmake package.
  * Build-Depend on libtiff-dev for libtiff5 transition.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 11 Sep 2013 19:16:06 +0200

mapcache (1.0.0-3) UNRELEASED; urgency=low

  * Upload for Debian closes: #712377
  * Strip RPATH from module and CGI binary.
  * Empty dependency_libs in la file.
  * Update copyright file to DEP-5 format.
  * Use set -e in postinst & postrm.
  * Additional cleanup of auto-generated files.
  * Multi-Arch libmapcache with debhelper 9.
  * Rename libmapcache to libmapcache0 to match SONAME.
  * Add libmapcache0-dev package.
  * Bump Standards-Version to 3.9.4.
  * Create /var/cache/mapcache in postinst.
  * Build-Depend on libproj-dev instead of the proj source package.
  * Drop explicit dependency on libmapcache0, already set by shlibs:Depends.
  * Enable hardening build flags.
  * Add man page for mapcache_seed utility.
  * Add patch to fix typos in demo service javascript.
  * Add patch to use a valid variable name for the WMSGetFeatureInfo control.
  * Add patch to set the HTML5 DOCTYPE in the demo service.
  * Add patch to set the Content-Type and charset in the HTML documents.
  * Add patch to add newlines after each list item.
  * Add patch to set the page height to 100% for the demo service.
  * Add patch to use 4 space indenting in the generated HTML.
  * Add patch to return non-zero exit status if errors occured in mapcache_seed.
  * Add patch to fix deletion of map tiles in seeder's delete mode.
  * Add patch to fix typos in mapcache_seed.
  * Add watch file.
  * Add maintainer scripts for libmapcache0 to call ldconfig.
  * Add mapcache.xml examples to libapache2-mod-mapcache.
  * Update for apache 2.4.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 15 Jun 2013 01:34:26 +0200

mapcache (1.0.0-2~ubuntu1) unstable; urgency=low

  * Added libmapcache.symbols

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 28 Feb 2013 10:04:43 -0500

mapcache (1.0.0-1~ubuntu1) unstable; urgency=low

  * Initial Upstream Release
  * Added includepath.patch to change the mapserver.h path to
    mapserver/mapserver.h

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 15 Nov 2012 21:08:41 +0000

mapcache (0~git052512+a8a8fe848c-1~ubuntu1) unstable; urgency=low

  * New git upstream.

 -- Alan Boudreault <aboudreault@mapgears.com>  Wed, 20 Jun 2012 13:46:36 +0000

mapcache (0.0.0~git20120526~ubuntu1) unstable; urgency=low

  * Initial Release.

 -- Tom Payne <tom.payne@camptocamp.com>  Thu, 07 Jun 2012 19:18:04 +0200
